- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# hat.cpp File Reference

`#include <osg/GL>`
`#include <osg/Math>`
`#include <stdio.h>`
`#include "terrain_coords.h"`
`#include "hat.h"`

Include dependency graph for hat.cpp:

## Functions
float | Hat (float x, float y, float z)

## Function Documentation

float Hat | ( | float | x,
|  | float | y,
|  | float | z
| ) |